Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1110172 - [RFE]API to check if a host has renew its lease
Summary: [RFE]API to check if a host has renew its lease
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Nir Soffer
QA Contact: sefi litmanovich
URL:
Whiteboard: storage
Depends On: 1058022
Blocks: 1110176 1119922 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-17 07:49 UTC by Sean Cohen
Modified: 2016-02-10 20:22 UTC (History)
11 users (show)

Fixed In Version: v4.16.2
Doc Type: Enhancement
Doc Text:
Previously, during fencing, a host cannot be accessed through the network and administrators could not check if the host was working or not. With this update, the host can be checked using the Sanlock lease information. Now, hosts can be checked even during fencing.
Clone Of:
: 1119922 (view as bug list)
Environment:
Last Closed: 2015-02-11 18:03:50 UTC
oVirt Team: Storage
Target Upstream Version:
scohen: needinfo+
scohen: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28873 master MERGED fencing: Introduce getHostLeaseStatus API Never
oVirt gerrit 31148 ovirt-3.5 MERGED fencing: Introduce getHostLeaseStatus API Never

Description Sean Cohen 2014-06-17 07:49:34 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Allon Mureinik 2014-06-17 07:56:31 UTC
This is required as part of the fencing improvements.
Need to coordinate with the infra team on what would serve their needs better, but there are two options here (run from the fencing proxy):

1. Change fenceNode's signature and add a parameter requiredStorages={}, so that the fencing will only happen if the node is not renewing its lease on the given domains.

2. Add a new API call doesNodeRenewLease(nodeDetails, storageDomains) to return boolean if the lease(s) is(are) being maintained.

Comment 2 Allon Mureinik 2014-06-17 15:32:30 UTC
Nir, please check if ClusterLock.hasHostId does the trick for us.

Comment 6 sefi litmanovich 2014-09-22 08:34:32 UTC
Verified with rhevm-3.5.0-0.12.beta.el6ev.noarch, vdsm-4.16.3-3.el7.beta.x86_64.

Comment 7 Julie 2015-02-02 01:49:57 UTC
If this bug requires doc text for errata release, please provide draft text in the doc text field in the following format:

Cause:
Consequence:
Fix:
Result:

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Comment 9 errata-xmlrpc 2015-02-11 18:03:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.